Subject: re: Name for new banded matrix structure

From: [email-masked] (Chrisopher E. Reid)
Date: Thu, 1 Jun 95 08:54:53 -0400

Bob and all,

Thanks for looking up the names for these matrixes.

Especially since we already have models that use the
[banded] keyword for a truly banded matrix format I
think we should define a new keyword [augmented]
or [augmented banded]. Otherwise how is a parser to
know which matrix type is being used? I think we should
make it explicit with a new keyword. Also, in many
cases the current [banded] format is sufficient, and
is easier to handle in the software, so we should have
both keywords.

As to where to put the "augmented entries" I prefer putting
them on the end of the matrix since that seems somehow
more natural to me. The parsers can handle this easily
enough so I don't think that is an issue (I know because
I wrote the parser Cadence is using).

So, I vote for two keywords:

[banded]    Banded symmetric matrix (current format)
[augmented] Augmented banded symmetric matrix as in the recent Bird.

Chris Reid